Subject: bug#56393: Actually fix the long lines display bug

From: Eli Zaretskii <[email-masked]>
Date: Sat, 09 Jul 2022 15:24:11 +0300

> Date: Sat, 09 Jul 2022 12:01:17 +0000
> From: Gregory Heytings <[email-masked]>
> cc: [email-masked], [email-masked], [email-masked]
> 
> > Where can I get a one-line dictionary.json file?  I don't think I have 
> > it here.
> >
> 
> It's here: https://github.com/Wilfred/ReVo-utilities/blob/a4bdc40dd2656c496defc461fc19c403c8306d9f/revo-export/dictionary.json?raw=true

Thanks.

> (Note that I did not actually try the above recipe, it's just meant to 
> show that there will always be corner cases that won't be handled, even 
> with a dynamic detection of long lines.)

I think arbitrarily limiting C-p in buffers that don't have long lines
will be deemed a regression.